# Credits:


### F-droid

[**Izzy**](https://github.com/IzzySoft), [**Poussinou**](https://github.com/Poussinou) and [**TSP**](https://github.com/TPS) for setting up the F-Droid repository


### Libraries/dependencies/dev/support

- [Maximilian Keppeler](https://github.com/maxkeppeler) for beautiful [Color sheet](https://github.com/maxkeppeler/sheets/) library!

- [Square](https://github.com/square/) for [Moshi](https://github.com/square/moshi/) library!

- [Chris Banes](https://github.com/chrisbanes) for the awesome [Insetter](https://github.com/chrisbanes/insetter/) library!

- [Jnss98b](https://github.com/Jnss98b) for his support on different issues: [3](https://github.com/enricocid/VectorifyDaHome/issues/3), [4](https://github.com/enricocid/VectorifyDaHome/issues/4), [7](https://github.com/enricocid/VectorifyDaHome/issues/7),[8](https://github.com/enricocid/VectorifyDaHome/issues/8), [14](https://github.com/enricocid/VectorifyDaHome/issues/14), [16](https://github.com/enricocid/VectorifyDaHome/issues/16), [17](https://github.com/enricocid/VectorifyDaHome/issues/17)!

- [Raphael Bussa](https://github.com/raphaelbussa) for PreviewActivity crash [fix](https://github.com/enricocid/VectorifyDaHome/pull/30)

- [john2020star](https://github.com/john2020star) for having contributed to fix this[issue](https://github.com/enricocid/VectorifyDaHome/issues/24)

- [Canva](https://www.canva.com/learn/100-color-combinations) for some color presets!

- [**TacoTheDank**](https://github.com/TacoTheDank) for upgrades to gradle, java 1.8 and [improvements](https://github.com/enricocid/Music-Player-GO/pull/248) which I used here!

- [Toastcode](https://toastco.de/) for the wunderbar [Screener - Better screenshots](https://play.google.com/store/apps/details?id=de.toastcode.screener) app

- [Potato Open Sauce Project (POSP)](https://potatoproject.co/) team and [POSP Telegram community](https://t.me/SaucyPotatoesOfficial) for support, inspirations and suggestions! The app itself is based on the original iteration [Potate da home!](https://github.com/enricocid/PotateDaHome) that was built thanks to the team/community feedbacks!

- [milotype](https://github.com/milotype) for [Croatian](https://github.com/enricocid/VectorifyDaHome/pull/26) and [German](https://github.com/enricocid/VectorifyDaHome/pull/27) translations!

- [Nathan Bonnemains](https://github.com/NathanBnm) for French translations and a great [tip](https://github.com/enricocid/VectorifyDaHome/issues/11)!

- [Stefan Möller](https://github.com/stupo) for his [suggestions](https://github.com/enricocid/VectorifyDaHome/issues/2)!

- [Heimen Stoffels](https://github.com/Vistaus) for Dutch translations!

- [j9o1](https://github.com/j9o1) for Spanish translations!

- [ZJRDroid](https://github.com/ZJRDroid) for Brazilian Portuguese translations!

- [OraBB1t](https://github.com/OraBB1t) for this [bug reporting](https://github.com/enricocid/VectorifyDaHome/issues/32)

- Abdul Kahlawi for reporting and letting me to fix an issue on Lollipop!


### SVG sources

- Most of the icons are from [material.io](https://material.io/resources/icons), [materialdesignicons](https://materialdesignicons.com/), [Wikimedia](https://commons.wikimedia.org/wiki/Main_Page), [svgrepo](https://www.svgrepo.com) and [iconfinder](https://www.iconfinder.com) and they are all free!

- [HrX](https://github.com/HrX03) for [Android versions](https://github.com/enricocid/VectorifyDaHome/tree/master/android-assets/HrX03) vectors!

- Android new 2019 logo was taken from [seeklogo.com](https://seeklogo.com/vector-logo/359569/android-new-2019). Modified versions of the logo are hosted [here](https://github.com/enricocid/VectorifyDaHome/tree/master/android-assets/android-logos)

- [Potato Open Sauce Project (POSP)](https://potatoproject.co/) team for POSP vectors:
  - [Potato](https://github.com/PotatoProject/website/blob/master/src/assets/potato.svg)
  - [Potato alt is a revisitation of potato svg](https://github.com/PotatoProject/website/blob/master/src/assets/potato.svg)
  - [Potato full logo](https://github.com/PotatoProject/website/blob/master/src/assets/potato_full.svg)

- [Lineage OS logo - wikimedia](https://commons.wikimedia.org/wiki/File:Lineage_OS_logo.svg)

- Star Wars vectors are free and taken from:
  - [Star wars icon pack by Symbolicons - iconfinder](https://www.iconfinder.com/iconsets/star-wars)
  - [Star wars 1977 US - wikimedia](https://commons.wikimedia.org/wiki/File:Star_wars_1977_us.svg)
  - [Star wars logo - wikimedia](https://commons.wikimedia.org/wiki/File:Star_Wars_Logo.svg)
  - [Stormtrooper helmet icon - wikimedia](https://commons.wikimedia.org/wiki/File:StormtrooperHelmetIcon.svg)
  - [Emblem of the first galactic empire - wikimedia](https://commons.wikimedia.org/wiki/File:Emblem_of_the_First_Galactic_Empire.svg)

- [Chernoff faces](https://commons.wikimedia.org/wiki/File:Chernoff_faces_for_evaluations_of_US_judges.svg) by [Chernoff (1973)](https://en.wikipedia.org/wiki/Chernoff_face)!

- [Goku icon](https://iconscout.com/icon/goku-1596554) by [Vectors Point](https://iconscout.com/contributors/hana-arif) on [iconscout.com](https://iconscout.com)!

- [Dragon sphere icon - ssbwiki.com](https://www.ssbwiki.com/File:DragonBallSymbol.svg)

- [Dragon Ball Tenkaichi - wikimedia](https://commons.wikimedia.org/wiki/File:Dragon_Ball_Tenkaichi_Budokai.svg)

- [Kame sennin mark - wikimedia](https://commons.wikimedia.org/wiki/File:Kame-sennin_mark.svg)
 
- [Naruto icon](https://iconscout.com/icon/naruto) by [Alexandru Stoica](https://iconscout.com/contributors/alexandru-stoica) on [iconscout.com](https://iconscout.com)!


### Copyright info

- The characters depicted in Star Wars vectors are © by Lucasfilm Ltd.

- The symbols depicted in Dragon Ball vectors are © by Akira Toriyama/Shueisha.

- The symbols depicted in Naruto vector are © by Masashi Kishimoto/Shueisha.

- The symbols/logos depicted in videogame vectors are © by Nintendo, Atari, Bandai Namco.

- The symbols/logos depicted in Android versions and other google products vectors are © by Google LLC.

- The colors Android green, blue and navy are part of the Google's brand and are © by Google LLC.
